
//内容切换1
function nTabs(thisObj,Num){
if(thisObj.className == "litaghover")return;
var tabObj = thisObj.parentNode.id;
var tabList = document.getElementById(tabObj).getElementsByTagName("li");

for(i=0; i <tabList.length; i++)
{
  if (i == Num)
  {
   thisObj.className = "litaghover"; 
      document.getElementById(tabObj+"_Content"+i).style.display = "block";
  }else{
   tabList[i].className = "litagnormal"; 
   document.getElementById(tabObj+"_Content"+i).style.display = "none";
  }
} 
}


//内容切换2
function nTabssort(thisObj,Num){
if(thisObj.className == "litaghover_sort")return;
var tabObj = thisObj.parentNode.id;
var tabList = document.getElementById(tabObj).getElementsByTagName("li");
for(i=0; i <tabList.length; i++)
{
  if (i == Num)
  {
   thisObj.className = "litaghover_sort"; 
      document.getElementById(tabObj+"_Content"+i).style.display = "block";
  }else{
   tabList[i].className = "litagnormal_sort"; 
   document.getElementById(tabObj+"_Content"+i).style.display = "none";
  }
} 
}


//内容切换1
function nTabsh(thisObj,Num){
if(thisObj.className == "active")return;
var tabObj = thisObj.parentNode.id;
var tabList = document.getElementById(tabObj).getElementsByTagName("li");

for(i=0; i <tabList.length; i++)
{
  if (i == Num)
  {
   thisObj.className = "active"; 
      document.getElementById(tabObj+"_scontent"+i).style.display = "block";
  }else{
   tabList[i].className = ""; 
   document.getElementById(tabObj+"_scontent"+i).style.display = "none";
  }
} 
}



function externalLinks() {
if (!document.getElementsByTagName) return;
var anchors = document.getElementsByTagName("a");
for (var i=0; i<anchors.length; i++) {
var anchor = anchors[i];
if (anchor.getAttribute("href") &&
anchor.getAttribute("rel") == "external")
anchor.target = "_blank";
}
}
window.onload = externalLinks;
function selectTag(showContent,selfObj){
	var tag = document.getElementById("tags").getElementsByTagName("a");
	var taglength = tag.length;
	for(i=0; i<taglength; i++){
		tag[i].className = "";
	}
	selfObj.className = "focu";
	for(i=0; j=document.getElementById("baidu"+i); i++){
		j.style.display = "none";
	}
	document.getElementById(showContent).style.display = "block";
}
function addBookmark(title,url) {
    if (window.sidebar) {
        window.sidebar.addPanel(title, url,"");
    } else if( document.all ) {
        window.external.AddFavorite( url, title);
    } else if( window.opera && window.print ) {
        return true;
    }
}
function setHomePage(url){
    if (window.sidebar)
    {
        try { 
           netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
        } 
        catch (e) 
        {  
           alert("此操作被浏览器拒绝！\n请在浏览器地址栏输入“about:config”并回车\n然后将[signed.applets.codebase_principal_support]设置为'true'"); 
        } 
        var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
            prefs.setCharPref('browser.startup.homepage',url);

    }
}



function SetCookie (name, value) { 
       var exp = new Date(); 
       exp.setTime (exp.getTime()+3600000000); 
       document.cookie = name + "=" + value + "; expires=" + exp.toGMTString()+"; path=/"; 
}

function getCookieVal (offset) { 
	var endstr = document.cookie.indexOf (";", offset); 
	if (endstr == -1) endstr = document.cookie.length; 
    return unescape(document.cookie.substring(offset, endstr)); 
 } 
function DelCookie(name)
{
var exp = new Date();
exp.setTime (exp.getTime() - 1);
var cval = GetCookie (name);
document.cookie = name + "=" + cval + "; expires="+ exp.toGMTString();
}

function GetCookie(name) {
         var arg = name + "="; 
         var alen = arg.length; 
         var clen = document.cookie.length; 
         var i = 0; 
         while (i < clen) { 
             var j = i + alen; 
             if (document.cookie.substring(i, j) == arg) return getCookieVal (j); 
             i = document.cookie.indexOf(" ", i) + 1; 
             if (i == 0) break; 
         } 
	     return null; 
 } 
function $(o){
 var o=document.getElementById(o)?document.getElementById(o):'';
 return o;
}
function runCode(code){
var _c=window.open("","","");
_c.opener=null;
_c.document.write(code);
_c.document.close();
}
function createXMLHttpRequest(){
  if(window.ActiveXObject){
      xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  }else if(window.XMLHttpRequest) {
      xmlHttp = new XMLHttpRequest();
  }
} 
function startRequest(url,returnfun) {
   createXMLHttpRequest(); 
   xmlHttp.onreadystatechange =returnfun;
   xmlHttp.open("GET",url,true);
   xmlHttp.send(null);    

}
function weatherStateChange(){
  if(xmlHttp.readyState == 4){
	  $("ipweather").innerHTML=xmlHttp.responseText;
  }
	  
}

function MailChange(i)
{
var url= new Array();
var username= new Array();
var pwd= new Array();
id=i;
url[0]=" ";
username[0]="";
pwd[0]="";
//@163.com
url[1]="http://reg.163.com/CheckUser.jsp";
username[1]="username";
pwd[1]="password";
//@126.com
url[2]="http://entry.126.com/cgi/login";
username[2]="user";
pwd[2]="pass";
//@yeah.net
url[3]="http://entry.yeah.net/cgi/login";
username[3]="user";
pwd[3]="pass";
//@vip.163.com
url[4]="http://vip.163.com/logon.m";
username[4]="username";
pwd[4]="password";
//@sina.com
url[5]="http://mail.sina.com.cn/cgi-bin/login.cgi";
username[5]="u";
pwd[5]="psw";
//@vip.sina.com
url[6]="http://vip.sina.com.cn/cgi-bin/login.cgi";
username[6]="user";
pwd[6]="pass";
//@sohu.com
url[7]="http://passport.sohu.com/login.jsp";
username[7]="UserName";
pwd[7]="Password";
//@yahoo.com.cn
url[8]="https://edit.bjs.yahoo.com/config/login";
username[8]="login";
pwd[8]="passwd";
//@yahoo.cn
url[9]="https://edit.bjs.yahoo.com/config/login";
username[9]="login";
pwd[9]="passwd";
//@Gmail.com
url[10]="https://www.google.com/accounts/ServiceLoginAuth";
username[10]="Email";
pwd[10]="Passwd";
//@tom.com
url[11]="http://bjweb.mail.tom.com/cgi/163/login_pro.cgi";
username[11]="user";
pwd[11]="pass";
//@hotmail.com
url[12]="https://login.passport.com/ppsecure/post.srf?id=2&svc=mail&cbid=24325&msppjph=1&tw=0&fs=1&fsa=1&fsat=1296000&lc=2052&_lang=CN&bk=1136886915";
username[12]="login";
pwd[12]="passwd";
//@msn.com
url[13]="https://login.passport.com/ppsecure/post.srf?id=2&svc=mail&cbid=24325&msppjph=1&tw=0&fs=1&fsa=1&fsat=1296000&lc=2052&_lang=CN&bk=1136886915";
username[13]="login";
pwd[13]="passwd";
//163.net
url[14]="http://bjweb.mail.tom.com/cgi/163/login_pro.cgi";
username[14]="user";
pwd[14]="pass";
//21cn.com
url[15]="http://passport.21cn.com/maillogin.jsp";
username[15]="UserName";
pwd[15]="passwd";
//2008.sina.com
url[16]="http://mail.2008.sina.com.cn/cgi-bin/login.php";
username[16]="u";
pwd[16]="psw";
$("Musername").name=username[id];
$("Mpwd").name=pwd[id];
$("mail_login").action=url[id];
 SetCookie('mailid',id);
}

function MailVerify()
{
	
if($("maillist").value==0)
    {
	 alert("请选择你要登陆的邮箱");
	 return false;
	}	

if ($("Musername").value==""||$("Mpwd").value=="")
   {
	alert("用户名或密码不能为空");
	return false;
	}
    SetCookie('mailname',$("Musername").value);
    setTimeout("ResetPwd()",1000);
    return true;
}	

function ResetPwd()
{
	$("Mpwd").value="";
}
function checkIP(ip)
{
	var ipArray,j;
	var ip=ip.toLowerCase();
    if(/[A-Za-z_-]/.test(ip)){
		if(!/^([\w-]+\.)+((com)|(net)|(org)|(gov\.cn)|(info)|(cc)|(com\.cn)|(net\.cn)|(org\.cn)|(name)|(biz)|(tv)|(cn))$/.test(ip)){
			alert("不是正确的域名或域名");
			return false;
		}
              
    }else{
		ipArray = ip.split(".");
		j = ipArray.length
		if(j!=4)
		{
			alert("不是正确的IP或域名");			
			return false;
		}

		for(var i=0;i<4;i++)
		{
			if(ipArray[i].length==0 || ipArray[i]>255)
			{
				alert("不是正确的IP或域名");
				return false;
			}
		}
	}
}

function DelHtml(Word) {
  a = Word.indexOf("<");
  b = Word.indexOf(">");
  len = Word.length;
  c = Word.substring(0, a);
  if(b == -1)
  b = a;
  d = Word.substring((b + 1), len);
  Word = c + d;
  tagCheck = Word.indexOf("<");
   if(tagCheck != -1)
   Word = DelHtml(Word);
   return Word;
} 


function glog(evt)
{	
  evt=evt?evt:window.event;var srcElem=(evt.target)?evt.target:evt.srcElement;
try
{
//alert(srcElem.tagName.toUpperCase());
while(srcElem.tagName.toUpperCase()=="A" || srcElem.parentNode.tagName.toUpperCase()=="A") 
{

address=srcElem.href; 
urlReg = /^http:\/\/(.*)\/catalog/; 
if (urlReg.test(address)){
   return ;
}
if(srcElem.parentNode.parentNode.id=="mingzhan"||srcElem.parentNode.parentNode.id=="pagelist"||srcElem.parentNode.parentNode.id=="pagelist2"||srcElem.parentNode.parentNode.id=="indextool" ||srcElem.parentNode.parentNode.parentNode.id=="pagelist"||srcElem.parentNode.parentNode.parentNode.id=="pagelist2"||srcElem.parentNode.parentNode.parentNode.id=="indextool" )
{
 linkname=DelHtml(srcElem.innerHTML); 
 islog=true;
 wlink=linkname+"+"+address+"_114la_"; 
 wlink+=GetCookie("history");
 wlink=escape(wlink);
 SetCookie("history",wlink); 
 history_show();
 if ( islog==true)
 {
	 
	  savehits(linkname,address,srcElem.parentNode.parentNode.id);
 }
}
srcElem = srcElem.parentNode;
}
}
catch(e){}
return true;
}
function history_show()
{   
try
{
 var history=GetCookie("history");
 history=unescape(history);
 var content='';
 if(history!="null"&&history.indexOf("&")==-1)
 {
 history_arg=history.split("_114la_");
 i=0;
 linknum=0;
 len= history_arg.length;
 for(i=0;i<len;i++)
 { 
 	var wlink=history_arg[i].split("+");
    if(history_arg[i]!="null" && content.indexOf(wlink[0])==-1 && linknum<44){
       content+="<li><a href=\""+wlink[1]+"\" target=\"_blank\"  title=\""+wlink[0]+"\">"+wlink[0]+"</a></li>";
       linknum+=1;
    }
    
}    
 document.getElementById("history").innerHTML=content; 

}else{
 	document.getElementById("history").innerHTML="<center>对不起，您没有任何浏览记录</center>";

}
}
catch(e){}
}
function ClearHistory()
{
clean=confirm("确定要清除所有的浏览记录？")	
if(clean)
{
	DelCookie("history");
	document.getElementById("history").innerHTML="<center>对不起，您没有任何浏览记录</center>";

	}
}
document.onclick=glog;
function handleStateChange(){
  if(xmlHttp.readyState == 4){
	  //alert(xmlHttp.responseText);
  }	  
}
function savehits(linkname,address,type){	
     ylmftime=new Date().getTime();
	 url='http://'+dynamichost+'/count.php?linkname='+encodeURIComponent(linkname)+'&address='+encodeURIComponent(address)+'&ylmftime='+ylmftime+'&type='+type;
	 //alert(url);
	 //window.open(url);
	 countimg.src= url;
}
function logad(id){
     ylmftime=new Date().getTime();
	 url='http://'+dynamichost+'/count_1.php?id='+id+'&ylmftime='+ylmftime;
	 countimg.src= url;
	
}
function searchlog(keywordid){
     ylmftime=new Date().getTime();
	 url='http://'+dynamichost+'/count_1.php?id='+keywordid+'&type=keyword&ylmftime='+ylmftime;
	 countimg.src=url;
}
function searchkeywordlog(keywordid){
     ylmftime=new Date().getTime();
	 url='http://'+dynamichost+'/count_1.php?id='+keywordid+'&type=searchkeyword&ylmftime='+ylmftime;
	 countimg.src=url;
}
var showsoft=false;
var showgame=false;
function showStm(n){
	if(n==0)showindexhtml();
	if(showsoft==false && n==1){
		$("indexsoft").innerHTML="<iframe src='soft.html' frameborder='0' scrolling='no' frameborder='0' width='570' height='282'></iframe>";
        softinfo();
		showsoft=true;
	}
	if (showgame==false && n==2)
	{        
		$("indexgame").innerHTML="<iframe src='game.html' frameborder='0' scrolling='no' frameborder='0' width='570' height='282'></iframe>";
		showgame=true;
	}
	for (i=0;i<=3;i++){
		 document.getElementById("stgm" + i).className = "blur";
		 document.getElementById("stm" + i).style.display = "none";
    }
	document.getElementById("stgm" + n).className = "";
	document.getElementById("stm" + n).style.display = "block";
}
function softinfo(){
   startRequest("soft.html",showsoftinfo);	
}
function showsoftinfo(){
 if(xmlHttp.readyState == 4){
   $("indexsoft").innerHTML=xmlHttp.responseText;
 }
}
var tmptxt='';
function gositesearch(keyword){
	oldkeyword=keyword;
	if (tmptxt=='')
	{
		tmptxt=$("indexhtml").innerHTML;// 保存临时变量
	}
    ylmftime=new Date().getTime();
	url='/search.php?keyword='+encodeURIComponent(keyword)+'&ylmftime='+ylmftime;
    $("indexhtml").innerHTML='<center><img src="/images/weatherloading.gif" />正在搜索中,请稍后...</center>';
	startRequest(url,showsearchsite);
}
function showsearchsite(){
  if(xmlHttp.readyState == 4){
	  txt=xmlHttp.responseText;
	  if(txt=='')
	  { 
		 $("indexhtml").innerHTML='<center>没有搜索到相关站点!</center>';
		 setTimeout(showindexhtml,2000);
	  }else{
	     $("indexhtml").innerHTML=txt;
	  }
  }	  
}
function showindexhtml(){
 if(tmptxt!=''){
   $("indexhtml").innerHTML=tmptxt;
 }
}
function JHshStrLen(sString)
{
var sStr,iCount,i,strTemp ; 
iCount = 0 ;
sStr = sString.split("");
for (i = 0 ; i < sStr.length ; i ++)
{
strTemp = escape(sStr[i]); 
if (strTemp.indexOf("%u",0) == -1) // 表示是汉字
{ 
iCount = iCount + 1 ;
} 
else 
{
iCount = iCount + 2 ;
}
}
return iCount ;
}
var oldkeyword='';
function KeyDown()
{
    if (event.keyCode == 13)
    {
        event.returnValue=false;
        event.cancel = true;
        if($('sitekeyword').value=='' ||JHshStrLen($('sitekeyword').value)<2){
			alert('请输入要搜索的关键字或关键字不能少于2个字节!!');
		}else{
			if ($('sitekeyword').value!=oldkeyword)
			{
				gositesearch($('sitekeyword').value);
			}
			
		}
    }
}
function input(){
	
      if($('sitekeyword').value=='' ||JHshStrLen($('sitekeyword').value)<2 ){//||JHshStrLen($('sitekeyword').value)<3
		 // showindexhtml();
      }else{
		  // $("indexhtml").innerHTML=JHshStrLen($('sitekeyword').value);
		  // 请求判断
		  // if (xmlHttp.readyState!=4)
		   //{
			 //  xmlHttp.abort();
		   //}
	       if ($('sitekeyword').value!=oldkeyword)
		  {
			gositesearch($('sitekeyword').value);
		  }
			
	  }
}
function addsite(site){
  var lst = '';  
  for(i=0;i<site.length;i++){
     if(site[i][2]==''){
		 lst+='<a href="'+site[i][0]+'" target="_blank">'+site[i][1]+'</a>&nbsp;&nbsp;';
	 }else{
		 lst+='<a href="'+site[i][0]+'" target="_blank"><span style="color:'+site[i][2]+'">'+site[i][1]+'</span></a>&nbsp;&nbsp;';
	 }
    
  }
  $("dfsite").innerHTML='<strong>地方站点</strong>&nbsp;&nbsp;&nbsp;&nbsp;'+lst;
  $("dfsite").style.display="block";
 
}
function CopyToClipBoard(){
	window.clipboardData.setData("Text",'t3t6网址导航---上网就上c3c6.com!\r\nhttp://www.c3c6.com/index.html');
	alert("复制成功，请粘贴到你的QQ/MSN上推荐给你的好友，谢谢！");
}


